--gamepad:setVibration(1, 1)

function getGamepad()
	gamepad = love.joystick.getJoysticks()
	for i, gamepad in ipairs(gamepad) do
		if gamepad:isConnected() then
			print("Active Gamepad: " ..gamepad:getName())
		end
	end
end

function monitorGamepad()
	for i, gamepad in ipairs(gamepad) do
		active = gamepad:isConnected()
		if console then
			if not active then
				print("MISSING GAMEPAD...RECONNECT OR TOGGLE GAMEPAD CONTROLS")
			end
		end
	end
end

function useKeyboard()
	if love.keyboard.isDown("d") then
		player.xVel = player.speed
	end
	if love.keyboard.isDown("a") then
		player.xVel = -1 * player.speed
	end
	if not (player.state == "jump") and (love.keyboard.isDown("w") or love.keyboard.isDown(" ")) then
		TEsound.play(playerJump, "objects")
		player.yVel = player.jumpVel
		player.state = "jump"
	end
end

function useGamepad()
	for i, gamepad in ipairs(gamepad) do
		leftx = gamepad:getGamepadAxis("leftx")
		if leftx >= 0.5 then
			player.xVel = player.speed
		elseif leftx <= -0.5 then
			player.xVel = -1 * player.speed
		else
			player.xVel = 0
		end
		if not (player.state == "jump") and gamepad:isGamepadDown("a") then
			TEsound.play(playerJump, "objects")
			player.yVel = player.jumpVel
			player.state = "jump"
		end
	end
end
