

function fileCaching()
--[[Font Storage]]
	Main = love.graphics.newFont("/fonts/OratorStd.otf", 18)
	MainSmall = love.graphics.newFont("/fonts/OratorStd.otf", 12)
	MainSMedium = love.graphics.newFont("/fonts/OratorStd.otf", 28)
	MainMedium = love.graphics.newFont("/fonts/OratorStd.otf", 36)
	MainBig = love.graphics.newFont("/fonts/OratorStd.otf", 48)
	MainLarge = love.graphics.newFont("/fonts/OratorStd.otf", 72)
	MainHUGE = love.graphics.newFont("/fonts/OratorStd.otf", 200)
--[[Image Storage]]
	playerImg = love.graphics.newImage("/textures/objects/player.png")
	heartImg = love.graphics.newImage("/textures/objects/heart.png")
	boxImg = love.graphics.newImage("/textures/objects/box.png")
	buttonImg = love.graphics.newImage("/textures/button/button_default.png")
	smallButtonImg = love.graphics.newImage("/textures/button/button_small.png")
	collectorStroke = love.graphics.newImage("/textures/button/title_text.png")
	pausedStroke = love.graphics.newImage("/textures/button/paused_text.png")
--[[Sound Storage]]
	heartPickup = love.sound.newSoundData("/sounds/score.ogg")
	boxHit = love.sound.newSoundData("/sounds/hit.ogg")
	playerJump = love.sound.newSoundData("/sounds/jump.ogg")
	buttonPress = love.sound.newSoundData("/sounds/buttonpress.ogg")
	error = love.sound.newSoundData("/sounds/error.ogg")
	power = love.sound.newSoundData("/sounds/power.ogg")
	hover = love.sound.newSoundData("/sounds/hover.ogg")
--[[Music Storage]]
	music = love.sound.newSoundData("/music/techno-caper.mp3")
end
